Subject: Re: Bad date stamp problem (again)
From: [email-masked] (JP Shipherd)

12 Jun 1997 23:04:22 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

This is the 3rd time this has happened to me and the third time I've blamed
bash mistakenly.  It turned out that my system clock had a year 6537.
Since the dir command doesn't print the year the date looks OK.  For apps
that are trying to read the date stamp, things are hopelessly screwed up.

In my case I *think* the clock got screwed up while installing a new video
driver.  Or perhaps just powering down and pullin boards did it.

I now know the problem and I apologize for accusing bash (it's just that
old cp -p problem sticks in my memory).

Hopefully if anyone else ever has this problem, they'll remember my story.

--jp

At 12:35 AM 6/13/97 +0000, you wrote:
>Hi JP,
>It looks like your mail client have the same opinion about your
>system clock!-)
>
>> Date:          Wed, 31 Dec 1969 16:00:00 -0700
>> To:            [email-masked]
>> From:          JP Shipherd <[email-masked]>
>> Subject:       Bad date stamp problem (again)
>
>> I'm continuing to occasionally have problems with NULL date stamps even
>> with beta 18.  Does anyone know the cause of this problem?
>> 
>> For example:
>> 
>> C:\TEMP>bash -login
>> I'm in bash_profile!
>> /TEMP> touch time-test
>> /TEMP> ls -l time-test
>> -rw-r--r--   1 Administ None            0 Dec 22 06:03 time-test
>> /TEMP> exit
>> logout
>> 
>> C:\TEMP>dir time-test
>>  Volume in drive C has no label.
>>  Volume Serial Number is 7801-87D5
>> 
>>  Directory of C:\TEMP
>> 
>> 06/11/97  11:04a                     0 time-test
>>                1 File(s)              0 bytes
>>                             154,254,336 bytes free
>> 
>> The strange thing is, bash seemed capable of reading dates fine yesterday.
>> And it correctly reads dates of files that were written yesterday.  But if
>> I touch a file today, bash thinks it was written in 1969.
>> 
>> I've seen this problem appear and disappear but I'm unsure of the cause.
>> If anyone knows it'd really help with my makes....
>> 
>> Thanks,
>> --jp

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".